Subject: [dhcwg] Failover: poolreq message secondary-only?

From: Ted Lemon <[email-masked]>
Date: Thu, 1 Nov 2001 17:49:11 -0700

The failover protocol draft says that only the secondary can send a poolreq 
message, and indicates that the primary should attempt to reclaim backup 
leases from the secondary by updating from backup to free.   This seems 
strange to me.   Wouldn't it make more sense that whichever peer notices 
that it is short on leases would send a poolreq to the other peer, and the 
other would, if possible, send some leases out of its free pool?   The 
advantage of doing it this way is that we don't have to worry about 
conflict resolution - the secondary knows which leases it's assigned, so it 
can just send what it wants to send to the primary.

I guess either way works - it just seems cleaner to make poolreq/poolresp 
work symmetrically.

_______________________________________________
dhcwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/dhcwg